﻿Imports System.Data
Imports System.Data.OleDb
Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPreencherCombo.Click

        'string de conexão com o banco de dados Northwind.mdb
        Dim stringConexao As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\dados\northwind.mdb;"

        'define a conexao, o comando e o adapter
        Dim conexao As New OleDbConnection(stringConexao)
        Dim cmd As New OleDbCommand("SELECT ProductID,ProductName FROM Products", conexao)
        Dim adapter As New OleDbDataAdapter(cmd)

        'define o dataset
        Dim ds As New DataSet
        Try
            adapter.Fill(ds, "Products") 'preenche o dataset
        Catch ex As Exception
            MessageBox.Show("Erro ao acessar os dados.")
            Exit Sub
        End Try

        'atribui o datasource a coluna combobox do datagridivew
        Me.Produtos.DataSource = ds.Tables("Products")
        'atribui o valor que será exibido na coluna 
        Me.Produtos.DisplayMember = "ProductName"
        'atribui o valor que será lido quando um item for selecionado
        Me.Produtos.ValueMember = "ProductID"

        'repete o procedimento para a tabela Categories para a coluna Categorias
        cmd.CommandText = "SELECT CategoryID,CategoryName FROM Categories"
        adapter.SelectCommand = cmd

        Try
            adapter.Fill(ds, "Categories")
        Catch ex As Exception
            MessageBox.Show("Erro ao acessar os dados.")
            Exit Sub
        End Try

        Me.Categorias.DataSource = ds.Tables("Categories")
        Me.Categorias.DisplayMember = "CategoryName"
        Me.Categorias.ValueMember = "CategoryID"

    End Sub
End Class
